Loading...
Searching...
No Matches
pcl::cuda::detail::SegmLink Struct Reference

`#include </build/pcl-k79KrG/pcl-1.15.1+dfsg/cuda/segmentation/include/pcl/cuda/segmentation/mssegmentation.h>`

## Public Member Functions

| SegmLink ()
| SegmLink (int from, int to, const SegmLinkVal &val)
bool | operator< (const SegmLink &other) const

## Public Attributes

int | from
int | to
SegmLinkVal | val

## Detailed Description

Definition at line 130 of file mssegmentation.h.

## Constructor & Destructor Documentation

## SegmLink() [1/2]

pcl::cuda::detail::SegmLink::SegmLink | ( |  | ) |

inline

Definition at line 132 of file mssegmentation.h.

Referenced by operator<().

## SegmLink() [2/2]

pcl::cuda::detail::SegmLink::SegmLink | ( | int | from,
|  | int | to,
|  | const SegmLinkVal & | val )

inline

Definition at line 133 of file mssegmentation.h.

References from, to, and val.

## Member Function Documentation

## operator<()

bool pcl::cuda::detail::SegmLink::operator< | ( | const SegmLink & | other | ) | const

inline

Definition at line 135 of file mssegmentation.h.

References SegmLink(), and val.

## Member Data Documentation

## from

int pcl::cuda::detail::SegmLink::from

Definition at line 139 of file mssegmentation.h.

Referenced by SegmLink().

## to

int pcl::cuda::detail::SegmLink::to

Definition at line 140 of file mssegmentation.h.

Referenced by SegmLink().

## val

SegmLinkVal pcl::cuda::detail::SegmLink::val

Definition at line 141 of file mssegmentation.h.

Referenced by operator<(), and SegmLink().

The documentation for this struct was generated from the following file:

- /build/pcl-k79KrG/pcl-1.15.1+dfsg/cuda/segmentation/include/pcl/cuda/segmentation/mssegmentation.h